package com.diss.omppapp.entities;

import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "submission")
public class SubmissionEntity implements Serializable {

    @Id
    @GeneratedValue(strategy= GenerationType.AUTO)
    private int submissionId;

    @Column
    private int paperId;

    @Column
    private String username;

    @Column
    private String classCode;

    @Column
    private String submissionText;

    @Column
    private boolean isSubmitted;

    @Column
    @DateTimeFormat
    private Date submissionDate;

    public SubmissionEntity() {
    }

    public SubmissionEntity(int paperId, String username, String classCode, String submissionText, boolean isSubmitted, Date submissionDate) {
        this.setPaperId(paperId);
        this.setUsername(username);
        this.setClassCode(classCode);
        this.setSubmissionText(submissionText);
        this.setSubmitted(isSubmitted);
        this.setSubmissionDate(submissionDate);
    }

    public int getPaperId() {
        return paperId;
    }

    public void setPaperId(int paperId) {
        this.paperId = paperId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getClassCode() {
        return classCode;
    }

    public void setClassCode(String classCode) {
        this.classCode = classCode;
    }

    public String getSubmissionText() {
        return submissionText;
    }

    public void setSubmissionText(String submissionText) {
        this.submissionText = submissionText;
    }

    public boolean isSubmitted() {
        return isSubmitted;
    }

    public void setSubmitted(boolean submitted) {
        isSubmitted = submitted;
    }

    public Date getSubmissionDate() {
        return submissionDate;
    }

    public void setSubmissionDate(Date submissionDate) {
        this.submissionDate = submissionDate;
    }
}
