package com.diss.omppapp.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@Table(name = "omp_user")
public class UserEntity implements Serializable {

    @Id
    private String username;

    @Column
    private String password;

    @Column
    private String email;

    @Column
    private boolean isLecturer;

    public UserEntity() {
    }

    public UserEntity(String username, String password, String email, boolean isLecturer){
        this.setUsername(username);
        this.setPassword(password);
        this.setEmail(email);
        this.setLecturer(isLecturer);
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public boolean isLecturer() {
        return isLecturer;
    }

    public void setLecturer(boolean lecturer) {
        isLecturer = lecturer;
    }

    public boolean isEmpty() {
        return this.username.isEmpty() && this.password.isEmpty() && this.email.isEmpty();
    }
}
