package com.diss.omppapp.services;

import com.diss.omppapp.entities.MinutePaperEntity;
import com.diss.omppapp.repositories.MinutePaperEntityRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Optional;

@Component
public class MinutePaperService {

    @Autowired
    MinutePaperEntityRepository minutePaperEntityRepository;

    public MinutePaperService() {
    }

    public List<MinutePaperEntity> getOpenPapers(String username) {
        Date now = new Date();
        Optional<List<MinutePaperEntity>> allPapers = minutePaperEntityRepository.findByUsername(username);
        List<MinutePaperEntity> openPapers = new ArrayList<>();

        if(!allPapers.isPresent()) {
            return new ArrayList<>();
        }

        allPapers.get().forEach(e -> {
            if(now.before(e.getCloseDate())) {
                openPapers.add(e);
            }
        });
        return openPapers;
    }

    public List<MinutePaperEntity> getClosedPapers(String username, String classCode) {
        Date now = new Date();
        Optional<List<MinutePaperEntity>> allPapers = minutePaperEntityRepository.findByUsernameAndClassCode(username,classCode);
        List<MinutePaperEntity> closedPapers = new ArrayList<>();

        if(!allPapers.isPresent()) {
            return new ArrayList<>();
        }

        allPapers.get().forEach(e -> {
            if(now.after(e.getCloseDate())) {
                closedPapers.add(e);
            }
        });
        return closedPapers;
    }

    public Boolean createMinutePaper() {
        //TODO - 5. Allow lecturers to create papers. | 6. Allow lecturers to view created papers for a class.
        return true;
    }

}
