import {NgModule} from '@angular/core';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {StudentRootComponent} from 'src/app/StudentComponents/student-root.component';
import {CommonModule} from '@angular/common';
import {StudentRoutesModule} from './student-routes.module';
import {StudentDashboardComponent} from 'src/app/StudentComponents/StudentDashboardComponents/student-dashboard.component';
import {NavbarComponent} from 'src/app/NavBarComponents/navbar.component';
import {NgbAccordionModule} from '@ng-bootstrap/ng-bootstrap';
import {UserInfoService} from 'src/app/services/user-info.service';

@NgModule({
  declarations: [
    StudentRootComponent,
    StudentDashboardComponent,
    NavbarComponent
  ],
  imports: [
    CommonModule,
    FormsModule,
    NgbAccordionModule,
    ReactiveFormsModule,
    StudentRoutesModule
  ],
  providers: [
    UserInfoService
  ]
})
export class StudentRootModule { }
