import {Injectable} from '@angular/core';
import {HttpClient, HttpHeaders} from '@angular/common/http';
import {HttpErrorService} from 'src/app/ErrorComponents/http-error.service';
import {catchError} from 'rxjs/operators';

const httpOptions = {
  headers: new HttpHeaders({
    'Content-Type':  'application/json'
  })
};

@Injectable()
export class UserInfoService {

  constructor(private http: HttpClient, private errorService: HttpErrorService) {
  }

  public getUserClasses(username: String) {
    return this.http.post('http://localhost:8080/getClassList', {username: username}, httpOptions).pipe(
      catchError(this.errorService.handleError)
    );
  }

  public getOpenPapers(username: String) {
    return this.http.post('http://localhost:8080/getOpenPapers', {username: username}, httpOptions).pipe(
      catchError(this.errorService.handleError)
    );
  }

  public getClosedPapers(username: String, classCode: String) {
    return this.http.post('http://localhost:8080/getClosedPapers', {username: username, classCode: classCode}, httpOptions).pipe(
      catchError(this.errorService.handleError)
    );
  }
}
